;** CStar Popups 3.02 **
;This is a simple set of popups for the irc client mIRC, to use with
; CStar on the StarLink-IRC.org Network. Save this page to your 
;mIRC folder as cstar30.mrc. Then with mIRC running type this;
; -----> /load -rs cstar30.mrc  <---------- in any input box.
; The popups will appear in the channel status & nicknames windows.
menu status,channel {
  CStar Commands
  .Level 500
  ..CHANOPT
  ...CHANURL:    /CHANOPT  CHANURL        $$?="URL?"
  ...DESCRIPTION:/CHANOPT  DESCRIPTION    $$?="Text?"
  ...OWNERNICK:  /CHANOPT  OWNERNICK      $$?="Which IDNick?"
  ...OWNEREMAIL: /CHANOPT  OWNEREMAIL     $$?="EMAIL ADDRESS?"
  ...STAY:       /CHANOPT  STAY           $$?="ON/OFF?"
  .Level 450
  ..CHANOPT
  ...NOBAN:      /CHANOPT  NOBAN     $$?="ON/OFF?"
  ...NOOPS:      /CHANOPT  NOOPS     $$?="ON/OFF?"
  ...STRICTOP:   /CHANOPT  STRICTOP  $$?="ON/OFF?"
  ..ADDUSR_NICK: /CS       ADDUSER   # $$1 $$?="Password?" $$?="Access Level?" $$?="Protect?"
  ..ADDUSR_MASK: /CS       ADDUSER   # $$?"IDnick" $$?="user@host?" $$?="Password?" $$?="Access Level?" $$?="Protect?"
  ..DELUSER:     /CS       DELUSER   # $$?="IDNick?"
  ..SETPASS:     /CMODUSR  NEWPASS   $$?="IDnick and NewPass"  
  .Level 400
  ..CHANOPT
  ...BANLEVEL:   /CHANOPT  BANLEVEL       $$?="What Level?" 
  ...CHMODESLVL: /CHANOPT  CHMODESLEVEL   $$?="What Level?"
  ...DEFMODES:   /CHANOPT  DEFMODES       $$?="+/-[iklmnpst]?"
  ...DEFTOPIC:   /CHANOPT  DEFTOPIC       $$?="Default Channel Topic?"
  ..CLEARME:     /CS       CLEARME   #
  ..DEOPALL:     /CS       DEOPALL   #
  ..OPALL:       /CS       OPALL     #
  ..MODUSER
  ...ADDMASK:    /CMODUSR  ADDMASK    $$?="IDNick" $$?="user@host?"
  ...DELMASK:    /CMODUSR  DELMASK    $$?="IDNick" $$?="user@host?"
  ...PROTECT:    /CMODUSR  PROTECT    $$?="IDNick" $$?="ON/OFF?"
  ...LEVEL:      /CMODUSR  LEVEL      $$?="IDNick" $$?="Level?"
  ...NEWIDNICK:  /CMODUSR  NEWIDNICK  $$?="Old IDNick?" $$?="New IDNick?"
  ..SUSPEND:     /CS       SUSPEND    # $$?="IDNick?" $$?="Reason?"
  ..UNSUSPEND:   /CS       UNSUSPEND  # $$?="IDNick?" $$?="Reason?"
  .Level 300
  ..CHANOPT
  ...WELCOME:    /CHANOPT WELCOME $$?="Text?"
  ..CLEARBANS:   /CS CLEARBANS  #
}
menu nicklist {
  CStar Commands
  .Level 100
  ..BAN:         /CS BAN        # $$?="nick!user@host"
  ..NICKBAN:     /CS NICKBAN    # $$?="nick?"
  ..KICKBAN:     /CS KICKBAN    # $$?="nick?"
  ..UNBAN:       /CS UNBAN      # $$?="user@host?"
  ..DEOP:        /CS DEOP       # $$1
  ..INVITE:      /CS INVITE     # $$?="Invite Who?"
  ..KICK:        /CS KICK       # $$1
  ..OP:          /CS OP         # $$1
  .Level 0
  ..AUTH:        /msg CStar@CService.StarLink-IRC.Org AUTH # $$?="IDNick?"  $$?="Which Password?"
  ..DEAUTH:      /CS DEAUTH     #
  ..NEWPASS:     /CS NEWPASS    # $$?="IDNick?" $$?="Old Password?" $$?="New Password?" $$?="Confirm New Password."
  ..CHANINFO:    /CS CHANINFO   #
  ..ACCESS:      /CS ACCESS     # $$?="Nick? or >0-500?"
  ..WHOIS:       /CS WHOIS      $$1
  ..WHOAMI:      /CS WHOAMI
  ..-
  ..ADMIN:       /CS ADMIN
  ..VERIFY:      /CS VERIFY     $$1
  ..LEVELS:      /CS LEVELS
  ..HELP:        /CS HELP       $$?="Which Command?"
  ..SHOWCOMMANDS:/CS SHOWCOMMANDS
}
alias -l  CS {
  msg CStar@CService.StarLink-IRC.Org $1-
}
alias -l CHANOPT {
  msg CStar@CService.StarLink-IRC.Org CHANOPT # $1-
}
alias -i CMODUSER {
  msg CStar@CService.StarLink-IRC.Org MODUSER # $1-
}
;2000 StarLink-IRC.org All Rights Reserved. 
